# Class Alignment

#### Hierarchy

- XmlComponent
  - Alignment

- Defined in file/paragraph/formatting/alignment.ts:61

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new Alignment(type): Alignment

- #### Parameters

  - ##### type: "center" | "left" | "right" | "start" | "end" | "both" | "mediumKashida" | "distribute" | "numTab" | "highKashida" | "lowKashida" | "thaiDistribute"

  #### Returns Alignment

  Overrides XmlComponent.constructor

  - Defined in file/paragraph/formatting/alignment.ts:62

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc